List delivery history
curl --request GET \
--url https://revise.io/api/v1/webhooks/{id}/deliveries \
--header 'Authorization: Bearer <token>'import requests
url = "https://revise.io/api/v1/webhooks/{id}/deliveries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://revise.io/api/v1/webhooks/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "del_36106431-4db2-459a-92d9-08ce744d5aac",
"event_id": "evt_b70793a8-0a0c-4e8f-827d-f1ddba77703f",
"event_type": "prompt.completed",
"status": "pending",
"attempts": 2,
"next_attempt_at": "2026-09-08T12:02:00Z",
"last_http_status": 503,
"last_error": "http_error",
"created_at": "2026-09-08T12:00:00Z",
"delivered_at": null
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
}
}Webhooks
List webhook deliveries
Newest first, scoped cursor. Retained for 30 days. Payloads, target response bodies, and secrets are not returned.
GET
/
v1
/
webhooks
/
{id}
/
deliveries
List delivery history
TypeScript
import { ReviseClient } from "@reviseio/api";
const revise = new ReviseClient({ apiKey: process.env.REVISE_API_KEY! });
const result = await revise.webhooks.deliveries("wh_id", { limit: 20 });
Authorizations
Revise API key from https://revise.io/console/api-keys. Send Authorization: Bearer .